// Copyright 1997-2008, 2010 Omni Development, Inc.  All rights reserved.
//
// This software may only be used and reproduced according to the
// terms in the file OmniSourceLicense.html, which should be
// distributed with this project and can also be found at
// <http://www.omnigroup.com/developer/sourcecode/sourcelicense/>.
//
// $Id$

#import <OmniFoundation/OFBinding.h>
#import <OmniFoundation/OFBundleRegistry.h>
#import <OmniFoundation/OFCharacterScanner.h>
#import <OmniFoundation/OFCharacterSet.h>
#import <OmniFoundation/OFDataBuffer.h>
#import <OmniFoundation/OFErrors.h>
#import <OmniFoundation/OFEnumNameTable.h>
#import <OmniFoundation/OFExtent.h>
#import <OmniFoundation/OFKnownKeyDictionaryTemplate.h>
#import <OmniFoundation/OFMultiValueDictionary.h>
#import <OmniFoundation/OFMutableKnownKeyDictionary.h>
#import <OmniFoundation/OFNull.h>
#import <OmniFoundation/OFObject.h>
#import <OmniFoundation/OFPoint.h>
#import <OmniFoundation/OFPreference.h>
#import <OmniFoundation/OFRandom.h>
#import <OmniFoundation/OFRationalNumber.h>
#import <OmniFoundation/OFReadWriteFileBuffer.h>
#import <OmniFoundation/OFRegularExpression.h>
#import <OmniFoundation/OFRegularExpressionMatch.h>
#import <OmniFoundation/OFStringDecoder.h>
#import <OmniFoundation/OFStringScanner.h>
#import <OmniFoundation/OFTimeSpanFormatter.h>
#import <OmniFoundation/OFTimeSpan.h>
#import <OmniFoundation/OFUtilities.h>
#import <OmniFoundation/OFVersionNumber.h>
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/OFBTree.h>
    #import <OmniFoundation/OFBulkBlockPool.h>
    #import <OmniFoundation/OFBundledClass.h>
    #import <OmniFoundation/OFByteSet.h>
    #import <OmniFoundation/OFCacheFile.h>
    #import <OmniFoundation/OFCancelErrorRecovery.h>
    #import <OmniFoundation/OFCharacterScanner-OFTrie.h>
    #import <OmniFoundation/OFController.h>
    #import <OmniFoundation/OFDataCursor.h>
    #import <OmniFoundation/OFDatedMutableDictionary.h>
    #import <OmniFoundation/OFDedicatedThreadScheduler.h>
    #import <OmniFoundation/OFDelayedEvent.h>
    #import <OmniFoundation/OFErrorRecovery.h>
    #import <OmniFoundation/OFFastMutableData.h>
    #import <OmniFoundation/OFGeometry.h>
    #import <OmniFoundation/OFHeap.h>
    #import <OmniFoundation/OFImplementationHolder.h>
    #import <OmniFoundation/OFInvocation.h>
    #import <OmniFoundation/OFLowercaseStringCache.h>
    #import <OmniFoundation/OFMatrix.h>
    #import <OmniFoundation/OFMessageQueue.h>
    #import <OmniFoundation/OFMessageQueuePriorityProtocol.h>
    #import <OmniFoundation/OFMultipleOptionErrorRecovery.h>
    #import <OmniFoundation/OFObject-Queue.h>
    #import <OmniFoundation/OFQueue.h>
    #import <OmniFoundation/OFQueueProcessor.h>
    #import <OmniFoundation/OFReadWriteLock.h>
    #import <OmniFoundation/OFRelativeDateFormatter.h>
    #import <OmniFoundation/OFRelativeDateParser.h>
    #import <OmniFoundation/OFResourceFork.h>
    #import <OmniFoundation/OFResultHolder.h>
    #import <OmniFoundation/OFRetainableObject.h>
    #import <OmniFoundation/OFRunLoopQueueProcessor.h>
    #import <OmniFoundation/OFScheduledEvent.h>
    #import <OmniFoundation/OFScheduler.h>
    #import <OmniFoundation/OFScratchFile.h>
    #import <OmniFoundation/OFSignature.h>
    #import <OmniFoundation/OFSparseArray.h>
    #import <OmniFoundation/OFStack.h>
    #import <OmniFoundation/OFTrie.h>
    #import <OmniFoundation/OFTrieBucket.h>
    #import <OmniFoundation/OFTrieNode.h>
    #import <OmniFoundation/OFWeakRetainConcreteImplementation.h>
    #import <OmniFoundation/OFWeakRetainProtocol.h>
#endif


// XML
#import <OmniFoundation/OFXMLCursor.h>
#import <OmniFoundation/OFXMLDocument.h>
#import <OmniFoundation/OFXMLElement.h>
#import <OmniFoundation/OFXMLIdentifier.h>
#import <OmniFoundation/OFXMLIdentifierRegistry.h>
#import <OmniFoundation/OFXMLInternedStringTable.h>
#import <OmniFoundation/OFXMLParser.h>
#import <OmniFoundation/OFXMLQName.h>
#import <OmniFoundation/OFXMLString.h>
#import <OmniFoundation/OFXMLUnparsedElement.h>
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/OFXMLComment.h>
    #import <OmniFoundation/OFXMLMaker.h>
    #import <OmniFoundation/OFXMLReader.h>
#endif

// AppleScript
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/NSAppleEventDescriptor-OFExtensions.h>
    #import <OmniFoundation/OFScriptHelpers.h>
    #import <OmniFoundation/NSScriptClassDescription-OFExtensions.h>
    #import <OmniFoundation/OFAddScriptCommand.h>
    #import <OmniFoundation/OFRemoveScriptCommand.h>
    #import <OmniFoundation/OFScriptPlaceholder.h>
#endif

// Formatters
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/OFCapitalizeFormatter.h>
    #import <OmniFoundation/OFDateFormatter.h>
    #import <OmniFoundation/OFMetricPrefixFormatter.h>
    #import <OmniFoundation/OFMultipleNumberFormatter.h>
    #import <OmniFoundation/OFSimpleStringFormatter.h>
    #import <OmniFoundation/OFSocialSecurityFormatter.h>
    #import <OmniFoundation/OFTelephoneFormatter.h>
    #import <OmniFoundation/OFUppercaseFormatter.h>
    #import <OmniFoundation/OFZipCodeFormatter.h>
#endif

// Foundation extensions
#import <OmniFoundation/NSArray-OFExtensions.h>
#import <OmniFoundation/NSAttributedString-OFExtensions.h>
#import <OmniFoundation/NSDate-OFExtensions.h>
#import <OmniFoundation/NSDictionary-OFExtensions.h>
#import <OmniFoundation/NSMutableArray-OFExtensions.h>
#import <OmniFoundation/NSMutableAttributedString-OFExtensions.h>
#import <OmniFoundation/NSMutableDictionary-OFExtensions.h>
#import <OmniFoundation/NSMutableSet-OFExtensions.h>
#import <OmniFoundation/NSNumber-OFExtensions.h>
#import <OmniFoundation/NSNumber-OFExtensions-CGTypes.h>
#import <OmniFoundation/NSObject-OFExtensions.h>
#import <OmniFoundation/NSSet-OFExtensions.h>
#import <OmniFoundation/NSUndoManager-OFExtensions.h>
#import <OmniFoundation/NSUserDefaults-OFExtensions.h>
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/NSBundle-OFExtensions.h>
    #import <OmniFoundation/NSCalendarDate-OFExtensions.h>
    #import <OmniFoundation/NSComparisonPredicate-OFExtensions.h>
    #import <OmniFoundation/NSData-OFExtensions.h>
    #import <OmniFoundation/NSDecimalNumber-OFExtensions.h>
    #import <OmniFoundation/NSException-OFExtensions.h>
    #import <OmniFoundation/NSFileManager-OFExtensions.h>
    #import <OmniFoundation/NSHost-OFExtensions.h>
    #import <OmniFoundation/NSIndexSet-OFExtensions.h>
    #import <OmniFoundation/NSInvocation-OFExtensions.h>
    #import <OmniFoundation/NSMutableData-OFExtensions.h>
    #import <OmniFoundation/NSMutableString-OFExtensions.h>
    #import <OmniFoundation/NSNotificationCenter-OFExtensions.h>
    #import <OmniFoundation/NSNotificationQueue-OFExtensions.h>
    #import <OmniFoundation/NSObject-OFAppleScriptExtensions.h>
    #import <OmniFoundation/NSProcessInfo-OFExtensions.h>
    #import <OmniFoundation/NSScanner-OFExtensions.h>
    #import <OmniFoundation/NSScriptCommand-OFExtensions.h>
    #import <OmniFoundation/NSString-OFExtensions.h>
    #import <OmniFoundation/NSString-OFPathExtensions.h>
    #import <OmniFoundation/NSThread-OFExtensions.h>
#endif

// CoreFoundation extensions
#import <OmniFoundation/CFArray-OFExtensions.h>
#import <OmniFoundation/CFData-OFCompression.h>
#import <OmniFoundation/CFDictionary-OFExtensions.h>
#import <OmniFoundation/CFSet-OFExtensions.h>
#import <OmniFoundation/CFString-OFExtensions.h>
#import <OmniFoundation/OFCFCallbacks.h>
#if !defined(TARGET_OS_IPHONE) || !TARGET_OS_IPHONE
    #import <OmniFoundation/CFData-OFExtensions.h>
    #import <OmniFoundation/CFPropertyList-OFExtensions.h>
#endif

